package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * MAC addresses of the MAC filtering entity.
 */
@ApiModel(description = "MAC addresses of the MAC filtering entity.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class OsgMacFilterAddressOpenApiVo   {
  @JsonProperty("macAddress")
  private String macAddress;

  @JsonProperty("name")
  private String name;

  public OsgMacFilterAddressOpenApiVo macAddress(String macAddress) {
    this.macAddress = macAddress;
    return this;
  }

  /**
   * MAC address of the MAC filtering address.
   * @return macAddress
  */
  @ApiModelProperty(value = "MAC address of the MAC filtering address.")


  public String getMacAddress() {
    return macAddress;
  }

  public void setMacAddress(String macAddress) {
    this.macAddress = macAddress;
  }

  public OsgMacFilterAddressOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Name of the MAC filtering address.
   * @return name
  */
  @ApiModelProperty(value = "Name of the MAC filtering address.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OsgMacFilterAddressOpenApiVo osgMacFilterAddressOpenApiVo = (OsgMacFilterAddressOpenApiVo) o;
    return Objects.equals(this.macAddress, osgMacFilterAddressOpenApiVo.macAddress) &&
        Objects.equals(this.name, osgMacFilterAddressOpenApiVo.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(macAddress, name);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OsgMacFilterAddressOpenApiVo {\n");
    
    sb.append("    macAddress: ").append(toIndentedString(macAddress)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

